%define upstream_name	 Term-ProgressBar
%define upstream_version 2.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides a progress meter on a standard terminal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::MethodMaker) >= 1.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Temp)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadKey) >= 2.140.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Term::ProgressBar provides a simple progress bar on the terminal, to
let the user know that something is happening, roughly how much stuff
has been done, and maybe an estimate at how long remains.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
rm -f t/0-signature.t
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
#%doc README Changes
%{perl_vendorlib}/Term/*
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.230.0-2.mga10
+ Revision: 2215537
- Mageia 10 Mass Rebuild

* Wed Oct 12 2022 tv <tv> 2.230.0-1.mga9
+ Revision: 1896428
- update to 2.23

* Mon Mar 21 2022 umeabot <umeabot> 2.220.0-4.mga9
+ Revision: 1810340
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.220.0-3.mga8
+ Revision: 1506226
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.220.0-2.mga7
+ Revision: 1286406
- Mageia 7 Mass Rebuild

* Thu May 17 2018 shlomif <shlomif> 2.220.0-1.mga7
+ Revision: 1230067
- update to 2.22

* Tue Oct 03 2017 tv <tv> 2.210.0-2.mga7
+ Revision: 1166692
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.210.0-1.mga7
+ Revision: 1159465
- update to 2.21

* Sun Jun 19 2016 pterjan <pterjan> 2.170.0-3.mga6
+ Revision: 1033927
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.170.0-2.mga6
+ Revision: 966941
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.170.0-1.mga6
+ Revision: 847125
- update to 2.17

* Wed Oct 15 2014 umeabot <umeabot> 2.150.0-4.mga5
+ Revision: 744218
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.150.0-3.mga5
+ Revision: 735944
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.150.0-2.mga5
+ Revision: 686370
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 2.150.0-1.mga5
+ Revision: 616402
- update to 2.15

* Sat Oct 19 2013 umeabot <umeabot> 2.140.0-2.mga4
+ Revision: 530323
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.140.0-1.mga4
+ Revision: 457110
- update to 2.14

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 373238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.130.0-1.mga3
+ Revision: 255486
- update to 2.13

* Thu Feb 23 2012 jquelin <jquelin> 2.110.0-1.mga2
+ Revision: 213188
- update to 2.11
- remove old rpm stuff

* Thu Jan 05 2012 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 191466
- update to 2.10

* Sat Jan 22 2011 jquelin <jquelin> 2.90.0-1.mga1
+ Revision: 32419
- mageia rebuild
- imported package perl-Term-ProgressBar

